Bug 1624573 - Not able to access Openstack instance console from selfservice portal
Summary: Not able to access Openstack instance console from selfservice portal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.3
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1631817
TreeView+ depends on / blocked
 
Reported: 2018-09-01 16:46 UTC by Ryan Spagnola
Modified: 2019-02-12 16:53 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1631817 (view as bug list)
Environment:
Last Closed: 2019-02-12 16:53:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Spagnola 2018-09-01 16:46:23 UTC
Description of problem:
Error presented in the SSUI:
There was an error opening the console. undefined

Provider: Openstack10

Version-Release number of selected component (if applicable):
5.9.3.4

How reproducible:
When asked if this happened with every vm
"most of the vms, i have newly created and check, same issue"

Steps to Reproduce:
1. Using a copied "Evm role user self service"
2. Go to SSUI and try to launch console
3.

Actual results:
There was an error opening the console. undefined

Expected results:
Console opens

Additional info:
Tried with different browsers opera, firefox, chrome

Comment 8 Chris Hale 2018-09-10 16:58:57 UTC
I took a look at all the information supplied in this BZ and don't have enough information to work with to continue investigating from the UI portion of the appliance .   The log messages don't seem to indicate much other than some authorization related errors.  I am needing to see what type of errors are being emitted by the javascript console in order to see if this might be a malformed response from the API . Do we have an appliance that QE can stand up to replicate this issue?  If not, I can sit down and give you the steps needed for someone to help get us more error logging from the javascript console so we can find out more about this error.

Comment 12 Chris Hale 2018-09-12 17:11:39 UTC
Here is the Service UI GH PR to fix the error messaging popup when opening up a console generates an error.  https://github.com/ManageIQ/manageiq-ui-service/pull/1474.  This enhancement only shows the user the error and does not fix the issue at the core of this BZ.

Comment 18 CFME Bot 2018-09-21 12:36:13 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/62de8219ae31651f31694201eea906dc3fc056c5
commit 62de8219ae31651f31694201eea906dc3fc056c5
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Thu Sep 20 20:21:19 2018 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Thu Sep 20 20:21:19 2018 -0400

    added access to Settings->Tasks->My Tasks to self_service users
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1624573

 db/fixtures/miq_user_roles.yml | 3 +
 1 file changed, 3 insertions(+)


Note You need to log in before you can comment on or make changes to this bug.